{% extends 'base.html' %}

{% block body %}
<h2><a style="padding:10px;" href="{% url 'contract_detail' addition.contract.id %}"><i class="fas fa-caret-square-left"></i></a></h2>
<div class="forms">
  <div class="card-body">
  <h2>Введення/редагування специфікації</h2>
  <form enctype="multipart/form-data" method="POST">
    {% csrf_token %}

    <div class="row">
      <div style="width: 50%;">
        <div class="column">
          <label for="id_number">Номер специфікації</label>
          {{ form.number }}
        </div>
      </div>
      <div style="width: 50%;">
        <div class="column">
          <label for="id_date">від</label>
          {{ form.date }}{{ form.date.errors }}
        </div>
      </div>
    </div>

    <div class="row">
      <div style="width: 45%;">
        <div class="column">
        <label for="contract">Контракт</label>
          <input disabled type="text" name="contract" id="contract" value="{{ addition.contract.number }} - {{ addition.contract.contragent.shortname }}">
          {{ form.contract }}
        </div>
      </div>
      <div style="width: 45%;">
        <div class="column">
          <label for="id_product">Культура</label>
          {{ form.product }}{{ form.product.errors }}
        </div>
      </div>
      <div style="width: 10%;">
        <div class="column">
          <label for="id_tencent">10%</label>
          {{ form.tencent }}{{ form.tencent.errors }}
        </div>
      </div>
    </div>
    <br>
    <div class="row">
      <div style="width: 20%;">
        <div class="column">
        <label for="id_procent">Відсоток ПДВ</label>
          {{ form.procent }}{{ form.procent.errors }}
        </div>
      </div>
      <div style="width: 40%;">
        <div class="column">
        <label for="id_cost">Ціна за тонну</label>
          {{ form.cost }}{{ form.cost.errors }}
        </div>
      </div>
      <div style="width: 40%;">
        <div class="column">
          <label for="id_quantit">Кількість тонн</label>
          {{ form.quantity }}{{ form.quantity.errors }}
        </div>
      </div>
    </div>

    <div class="row">
      <div style="width: 50%;">
        <div class="column">
          <label for="id_notpdv">Ціна без ПДВ</label>
          {{ form.notpdv }}{{ form.notpdv.errors }}
        </div>
      </div>
      <div style="width: 50%;">
        <div class="column">
          <label for="id_notpdv">ПДВ</label>
          {{ form.pdv }}{{ form.pdv.errors }}
        </div>
      </div>
    </div>

    <div class="row">
      <div style="width: 33%;">
        <div class="column">
          <label for="id_sumnotpdv">Сума без ПДВ</label>
          {{ form.sumnotpdv }}{{ form.sumnotpdv.errors }}
        </div>
      </div>
      <div style="width: 33%;">
        <div class="column">
          <label for="id_sumpdv">у тому числі ПДВ</label>
          {{ form.sumpdv }}{{ form.sumpdv.errors }}
        </div>
      </div>
      <div style="width: 33%;">
        <div class="column">
          <label for="id_sumcost">Загальна сума</label>
          {{ form.sumcost }}{{ form.sumcost.errors }}
        </div>
      </div>
    </div>
    <br>
    <div class="row">
      <div style="width: 20%;">
        <div class="column">
        <label for="id_trade">Вид поставки</label>
          {{ form.trade }}{{ form.trade.errors }}
        </div>
      </div>
      <div style="width: 80%;">
        <div class="column">
          <label for="id_notpdv">Адреса поставки</label>
          {{ form.addresstrade }}{{ form.addresstrade.errors }}
        </div>
      </div>
    </div>

    <br><br><button type="submit" class="btn">Записати</button>
  </form>
</div>
</div>
{% endblock %}
